: Class PointAttributes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class PointAttributes

    java.lang.Object
      |
      +--javax.media.j3d.SceneGraphObject
            |
            +--javax.media.j3d.NodeComponent
                  |
                  +--javax.media.j3d.PointAttributes

public class PointAttributes
extends NodeComponent

The PointAttributes object defines all rendering state that can be set as a component object of a Shape3D node.

Field Summary
`static int` | `ALLOW_ANTIALIASING_READ` Specifies that this PointAttributes object allows reading its point antialiasing flag.
`static int` | `ALLOW_ANTIALIASING_WRITE` Specifies that this PointAttributes object allows writing its point antialiasing flag.
`static int` | `ALLOW_SIZE_READ` Specifies that this PointAttributes object allows reading its point size information.
`static int` | `ALLOW_SIZE_WRITE` Specifies that this PointAttributes object allows writing its point size information.

Constructor Summary
`PointAttributes()` Constructs a PointAttributes object with default parameters.
`PointAttributes(float pointSize, boolean pointAntialiasing)` Constructs a PointAttributes object with specified values.

Method Summary
`NodeComponent` | `cloneNodeComponent()` Creates a new PointAttributes object.
`void` | `duplicateNodeComponent(NodeComponent originalNodeComponent)` Copies the information found in `originalNodeComponent` to the current node.
`boolean` | `getPointAntialiasingEnable()` Retrieves the state of the point antialiasing flag.
`float` | `getPointSize()` Gets the point size for this appearance component object.
`void` | `setPointAntialiasingEnable(boolean state)` Enables or disables point antialiasing for this appearance component object.
`void` | `setPointSize(float pointSize)` Sets the point size for this appearance component object.

Methods inherited from class javax.media.j3d.NodeComponent
`getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, duplicateSceneGraphObject, getCapability, getUserData, isCompiled, isLive, setCapability, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOW_SIZE_READ

    public static final int ALLOW_SIZE_READ

  Specifies that this PointAttributes object allows reading its point size information.

### ALLOW_SIZE_WRITE

    public static final int ALLOW_SIZE_WRITE

  Specifies that this PointAttributes object allows writing its point size information.

### ALLOW_ANTIALIASING_READ

    public static final int ALLOW_ANTIALIASING_READ

  Specifies that this PointAttributes object allows reading its point antialiasing flag.

### ALLOW_ANTIALIASING_WRITE

    public static final int ALLOW_ANTIALIASING_WRITE

  Specifies that this PointAttributes object allows writing its point antialiasing flag.

Constructor Detail

### PointAttributes

    public PointAttributes()

  Constructs a PointAttributes object with default parameters. The default values are as follows:
  point size : 1
  point antialiasing : false

### PointAttributes

    public PointAttributes(float pointSize,
                           boolean pointAntialiasing)

  Constructs a PointAttributes object with specified values.
  Parameters:
    `pointSize` - the size of points.
    `pointAntialiasing` - flag to set point antialising ON or OFF

Method Detail

### setPointSize

    public final void setPointSize(float pointSize)

  Sets the point size for this appearance component object.
  Parameters:
    `pointSize` - the size, in pixels, of point primitives
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getPointSize

    public final float getPointSize()

  Gets the point size for this appearance component object.
  Returns:
    the size, in pixels, of point primitives
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setPointAntialiasingEnable

    public final void setPointAntialiasingEnable(boolean state)

  Enables or disables point antialiasing for this appearance component object.
  Parameters:
    `state` - true or false to enable or disable point antialiasing
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getPointAntialiasingEnable

    public final boolean getPointAntialiasingEnable()

  Retrieves the state of the point antialiasing flag.
  Returns:
    true if point antialiasing is enabled, false if point antialiasing is disabled
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### cloneNodeComponent

    public NodeComponent cloneNodeComponent()

  Creates a new PointAttributes object. Called from a Leaf node's `duplicateNode` method.
  Overrides:
    cloneNodeComponent in class NodeComponent
  Returns:
    a duplicate of the PointAttributes object.
  See Also:
    `Node.cloneTree()`, `Node.cloneNode(boolean)`, `NodeComponent.duplicateNodeComponent(javax.media.j3d.NodeComponent)`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

### duplicateNodeComponent

    public void duplicateNodeComponent(NodeComponent originalNodeComponent)

  Copies the information found in `originalNodeComponent` to the current node. This routine is called as part of the `cloneTree` operation.
  Overrides:
    duplicateNodeComponent in class NodeComponent
  Parameters:
    `originalNodeComponent` - the node to duplicate.
  See Also:
    `Node.cloneTree()`, `Node.duplicateNode(javax.media.j3d.Node, boolean)`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD